1. Packages
  2. Packages
  3. Vercel Provider
  4. API Docs
  5. getBulkRedirects
Viewing docs for Vercel v5.4.1
published on Wednesday, Jul 22, 2026 by Pulumiverse
vercel logo
Viewing docs for Vercel v5.4.1
published on Wednesday, Jul 22, 2026 by Pulumiverse

    Provides a Bulk Redirects data source.

    If version_id is omitted, the data source reads the live production bulk redirects for the project.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as vercel from "@pulumiverse/vercel";
    
    const exampleProject = new vercel.Project("example", {name: "example-project"});
    const example = vercel.getBulkRedirectsOutput({
        projectId: exampleProject.id,
    });
    
    import pulumi
    import pulumi_vercel as vercel
    import pulumiverse_vercel as vercel
    
    example_project = vercel.Project("example", name="example-project")
    example = vercel.get_bulk_redirects_output(project_id=example_project.id)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    	"github.com/pulumiverse/pulumi-vercel/sdk/v5/go/vercel"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		exampleProject, err := vercel.NewProject(ctx, "example", &vercel.ProjectArgs{
    			Name: pulumi.String("example-project"),
    		})
    		if err != nil {
    			return err
    		}
    		_ = vercel.LookupBulkRedirectsOutput(ctx, vercel.GetBulkRedirectsOutputArgs{
    			ProjectId: exampleProject.ID(),
    		}, nil)
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Vercel = Pulumiverse.Vercel;
    
    return await Deployment.RunAsync(() => 
    {
        var exampleProject = new Vercel.Project("example", new()
        {
            Name = "example-project",
        });
    
        var example = Vercel.GetBulkRedirects.Invoke(new()
        {
            ProjectId = exampleProject.Id,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumiverse.vercel.Project;
    import com.pulumiverse.vercel.ProjectArgs;
    import com.pulumi.vercel.VercelFunctions;
    import com.pulumi.vercel.inputs.GetBulkRedirectsArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var exampleProject = new Project("exampleProject", ProjectArgs.builder()
                .name("example-project")
                .build());
    
            final var example = VercelFunctions.getBulkRedirects(GetBulkRedirectsArgs.builder()
                .projectId(exampleProject.id())
                .build());
    
        }
    }
    
    resources:
      exampleProject:
        type: vercel:Project
        name: example
        properties:
          name: example-project
    variables:
      example:
        fn::invoke:
          function: vercel:getBulkRedirects
          arguments:
            projectId: ${exampleProject.id}
    
    Example coming soon!
    

    Using getBulkRedirects

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getBulkRedirects(args: GetBulkRedirectsArgs, opts?: InvokeOptions): Promise<GetBulkRedirectsResult>
    function getBulkRedirectsOutput(args: GetBulkRedirectsOutputArgs, opts?: InvokeOptions): Output<GetBulkRedirectsResult>
    def get_bulk_redirects(project_id: Optional[str] = None,
                           team_id: Optional[str] = None,
                           version_id: Optional[str] = None,
                           opts: Optional[InvokeOptions] = None) -> GetBulkRedirectsResult
    def get_bulk_redirects_output(project_id: pulumi.Input[Optional[str]] = None,
                           team_id: pulumi.Input[Optional[str]] = None,
                           version_id: pulumi.Input[Optional[str]] = None,
                           opts: Optional[InvokeOptions] = None) -> Output[GetBulkRedirectsResult]
    func LookupBulkRedirects(ctx *Context, args *LookupBulkRedirectsArgs, opts ...InvokeOption) (*LookupBulkRedirectsResult, error)
    func LookupBulkRedirectsOutput(ctx *Context, args *LookupBulkRedirectsOutputArgs, opts ...InvokeOption) LookupBulkRedirectsResultOutput

    > Note: This function is named LookupBulkRedirects in the Go SDK.

    public static class GetBulkRedirects 
    {
        public static Task<GetBulkRedirectsResult> InvokeAsync(GetBulkRedirectsArgs args, InvokeOptions? opts = null)
        public static Output<GetBulkRedirectsResult> Invoke(GetBulkRedirectsInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetBulkRedirectsResult> getBulkRedirects(GetBulkRedirectsArgs args, InvokeOptions options)
    public static Output<GetBulkRedirectsResult> getBulkRedirects(GetBulkRedirectsArgs args, InvokeOptions options)
    
    fn::invoke:
      function: vercel:index/getBulkRedirects:getBulkRedirects
      arguments:
        # arguments dictionary
    data "vercel_get_bulk_redirects" "name" {
        # arguments
    }

    The following arguments are supported:

    ProjectId string
    The ID of the Vercel project.
    TeamId string
    The ID of the Vercel team.
    VersionId string
    The redirects version to read. If omitted, the live production version is used.
    ProjectId string
    The ID of the Vercel project.
    TeamId string
    The ID of the Vercel team.
    VersionId string
    The redirects version to read. If omitted, the live production version is used.
    project_id string
    The ID of the Vercel project.
    team_id string
    The ID of the Vercel team.
    version_id string
    The redirects version to read. If omitted, the live production version is used.
    projectId String
    The ID of the Vercel project.
    teamId String
    The ID of the Vercel team.
    versionId String
    The redirects version to read. If omitted, the live production version is used.
    projectId string
    The ID of the Vercel project.
    teamId string
    The ID of the Vercel team.
    versionId string
    The redirects version to read. If omitted, the live production version is used.
    project_id str
    The ID of the Vercel project.
    team_id str
    The ID of the Vercel team.
    version_id str
    The redirects version to read. If omitted, the live production version is used.
    projectId String
    The ID of the Vercel project.
    teamId String
    The ID of the Vercel team.
    versionId String
    The redirects version to read. If omitted, the live production version is used.

    getBulkRedirects Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    ProjectId string
    The ID of the Vercel project.
    Redirects List<Pulumiverse.Vercel.Outputs.GetBulkRedirectsRedirect>
    The redirects for the selected version.
    TeamId string
    The ID of the Vercel team.
    VersionId string
    The redirects version to read. If omitted, the live production version is used.
    Id string
    The provider-assigned unique ID for this managed resource.
    ProjectId string
    The ID of the Vercel project.
    Redirects []GetBulkRedirectsRedirect
    The redirects for the selected version.
    TeamId string
    The ID of the Vercel team.
    VersionId string
    The redirects version to read. If omitted, the live production version is used.
    id string
    The provider-assigned unique ID for this managed resource.
    project_id string
    The ID of the Vercel project.
    redirects list(object)
    The redirects for the selected version.
    team_id string
    The ID of the Vercel team.
    version_id string
    The redirects version to read. If omitted, the live production version is used.
    id String
    The provider-assigned unique ID for this managed resource.
    projectId String
    The ID of the Vercel project.
    redirects List<GetBulkRedirectsRedirect>
    The redirects for the selected version.
    teamId String
    The ID of the Vercel team.
    versionId String
    The redirects version to read. If omitted, the live production version is used.
    id string
    The provider-assigned unique ID for this managed resource.
    projectId string
    The ID of the Vercel project.
    redirects GetBulkRedirectsRedirect[]
    The redirects for the selected version.
    teamId string
    The ID of the Vercel team.
    versionId string
    The redirects version to read. If omitted, the live production version is used.
    id str
    The provider-assigned unique ID for this managed resource.
    project_id str
    The ID of the Vercel project.
    redirects Sequence[GetBulkRedirectsRedirect]
    The redirects for the selected version.
    team_id str
    The ID of the Vercel team.
    version_id str
    The redirects version to read. If omitted, the live production version is used.
    id String
    The provider-assigned unique ID for this managed resource.
    projectId String
    The ID of the Vercel project.
    redirects List<Property Map>
    The redirects for the selected version.
    teamId String
    The ID of the Vercel team.
    versionId String
    The redirects version to read. If omitted, the live production version is used.

    Supporting Types

    GetBulkRedirectsRedirect

    CaseSensitive bool
    Whether the source match is case-sensitive.
    Destination string
    The destination pathname or URL to redirect to.
    Query bool
    Whether query parameters are considered when matching the redirect.
    Source string
    The source pathname to match.
    StatusCode int
    The HTTP status code for the redirect.
    CaseSensitive bool
    Whether the source match is case-sensitive.
    Destination string
    The destination pathname or URL to redirect to.
    Query bool
    Whether query parameters are considered when matching the redirect.
    Source string
    The source pathname to match.
    StatusCode int
    The HTTP status code for the redirect.
    case_sensitive bool
    Whether the source match is case-sensitive.
    destination string
    The destination pathname or URL to redirect to.
    query bool
    Whether query parameters are considered when matching the redirect.
    source string
    The source pathname to match.
    status_code number
    The HTTP status code for the redirect.
    caseSensitive Boolean
    Whether the source match is case-sensitive.
    destination String
    The destination pathname or URL to redirect to.
    query Boolean
    Whether query parameters are considered when matching the redirect.
    source String
    The source pathname to match.
    statusCode Integer
    The HTTP status code for the redirect.
    caseSensitive boolean
    Whether the source match is case-sensitive.
    destination string
    The destination pathname or URL to redirect to.
    query boolean
    Whether query parameters are considered when matching the redirect.
    source string
    The source pathname to match.
    statusCode number
    The HTTP status code for the redirect.
    case_sensitive bool
    Whether the source match is case-sensitive.
    destination str
    The destination pathname or URL to redirect to.
    query bool
    Whether query parameters are considered when matching the redirect.
    source str
    The source pathname to match.
    status_code int
    The HTTP status code for the redirect.
    caseSensitive Boolean
    Whether the source match is case-sensitive.
    destination String
    The destination pathname or URL to redirect to.
    query Boolean
    Whether query parameters are considered when matching the redirect.
    source String
    The source pathname to match.
    statusCode Number
    The HTTP status code for the redirect.

    Package Details

    Repository
    vercel pulumiverse/pulumi-vercel
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the vercel Terraform Provider.
    vercel logo
    Viewing docs for Vercel v5.4.1
    published on Wednesday, Jul 22, 2026 by Pulumiverse

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial